Get transactions of a pool on a network. Paging can be used up to 100 pages.
curl --request GET \
--url https://api.dexpaprika.com/networks/{network}/pools/{pool_address}/transactionsimport requests
url = "https://api.dexpaprika.com/networks/{network}/pools/{pool_address}/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/networks/{network}/pools/{pool_address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "<string>",
"log_index": 123,
"transaction_index": 123,
"pool_id": "<string>",
"sender": "<string>",
"recipient": 123,
"token_0": "<string>",
"token_0_symbol": "<string>",
"token_1": "<string>",
"token_1_symbol": "<string>",
"amount_0": "<string>",
"amount_1": "<string>",
"price_0": 123,
"price_1": 123,
"price_0_usd": 123,
"price_1_usd": 123,
"created_at_block_number": 123,
"created_at": "2023-11-07T05:31:56Z"
}
],
"page_info": {
"limit": 123,
"page": 123,
"total_items": 123,
"total_pages": 123
}
}Pools
Get transactions of a pool on a network. Paging can be used up to 100 pages.
GET
/
networks
/
{network}
/
pools
/
{pool_address}
/
transactions
Get transactions of a pool on a network. Paging can be used up to 100 pages.
Path Parameters
Unique pool address or identifier. Such as 0xc7bbec68d12a0d1830360f8ec58fa599ba1b0e9b for WETH / USDT on ethereum.
Query Parameters
Zero-based page index for paginated results.
Required range:
0 <= x <= 1000Number of items to return per page (max 100).
Required range:
1 <= x <= 100Filter transactions starting from this UNIX timestamp.
Filter transactions up to this UNIX timestamp.
Cursor is a transaction ID used for pagination. If empty, the first set of results is returned.
Was this page helpful?